org.labkey.remoteapi.query

## Enum SelectRowsResponse.ColumnDataType

- java.lang.Object
- - java.lang.Enum<SelectRowsResponse.ColumnDataType>
  - - org.labkey.remoteapi.query.SelectRowsResponse.ColumnDataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SelectRowsResponse.ColumnDataType>
  Enclosing class:
    SelectRowsResponse

      public static enum SelectRowsResponse.ColumnDataType
      extends java.lang.Enum<SelectRowsResponse.ColumnDataType>

  An enumeration of the possible column data types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `DATE`
    `FLOAT`
    `INT`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectRowsResponse.ColumnDataType` | `parseJsonType(java.lang.String type)`
    `static SelectRowsResponse.ColumnDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectRowsResponse.ColumnDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final SelectRowsResponse.ColumnDataType STRING

    - #### INT

          public static final SelectRowsResponse.ColumnDataType INT

    - #### FLOAT

          public static final SelectRowsResponse.ColumnDataType FLOAT

    - #### BOOLEAN

          public static final SelectRowsResponse.ColumnDataType BOOLEAN

    - #### DATE

          public static final SelectRowsResponse.ColumnDataType DATE

  - ### Method Detail

    - #### values

          public static SelectRowsResponse.ColumnDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectRowsResponse.ColumnDataType c : SelectRowsResponse.ColumnDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectRowsResponse.ColumnDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### parseJsonType

          public static SelectRowsResponse.ColumnDataType parseJsonType(java.lang.String type)